<template>
  <div class="signIn">
    <h1 class="text-center mt-5">Page de connexion</h1>
    <div class="ma-5">
      <form>
        <v-text-field
          v-model="form.email"
          type="email"
          label="E-mail"
          required
        ></v-text-field>
        <v-text-field
          v-model="form.password"
          placeholder="Entrer un mot de passe"
          type="password"
          required
        ></v-text-field>
        <v-btn class="mr-4" @click="verifUser">
          submit
        </v-btn>
        <v-btn @click="clear">
          clear
        </v-btn>
      </form>
    </div>
  </div>
</template>

<script>
import jwt from "jsonwebtoken";
import axios from "axios";
export default {
  name: "signIn",
  data() {
    return {
      form: {
        email: "",
        password: "",
      },
    };
  },
  methods: {
    verifUser() {
      let that = this;
      console.log({ email: this.form.email, password: this.form.password });
      axios
        .post("http://localhost:8081/users/sign-in", {
          email: this.form.email,
          password: this.form.password,
        })
        .then((response) => {
          console.log(response);
          const decoded = jwt.decode(response.data.token, { complete: true });
          console.log(decoded);

          that.$store.dispatch("sentToken", response.data.token);
          that.$store.dispatch("nameUser", decoded.payload.last_name);
          that.$store.dispatch("idUser", decoded.payload.id);
          switch (response.data.code) {
            case 200:
              // that.$emit("authenticated", true);
              that.$router.push("/dishes");
              break;
            case 204:
              alert("Email and Password does not match");
              break;
            case 206:
              alert("Email or Password do not exits");
              break;
            default:
              alert("error not identified");
          }
        })
        .catch((e) => {
          console.log(e);
        });
    },

    // that.form.email = "";
    // that.form.password = "";
    clear() {
      this.form.email = "";
      this.form.password = "";
    },
  },
};
</script>

<style scoped></style>
